VtkObject
Keywords: com.artenum.cassandra.pipeline.VtkObject interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Interface VtkObject

All Superinterfaces:
  com.artenum.graph.interfaces.Cell

    public interface VtkObject

extends com.artenum.graph.interfaces.Cell

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Meta VTK Component.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Field Summary
`static int` | `ACTOR`
`static java.lang.String` | `ACTOR_VISIBLE`
`static java.lang.String` | `CELL`
`static int` | `DATASET`
`static int` | `FILTER`
`static int` | `LOOKUP_TABLE`
`static int` | `MAPPER`
`static java.lang.String` | `POPUP_MENU`
`static int` | `SCALAR_BAR`
`static int` | `TXT_ACTOR`

Method Summary
`java.lang.Integer` | `getId()`
`java.lang.Integer` | `getLocalTypeId()`
`java.util.Hashtable` | `getMetaData()`
`java.lang.String` | `getName()`
`int` | `getType()`
`java.lang.Object` | `getVtkObject()`
`boolean` | `isValide()`
`void` | `setName(java.lang.String newName)`
`void` | `setValide(boolean valide)`

Methods inherited from interface com.artenum.graph.interfaces.Cell
`addConnection, addGroupDragListener, getConnectionPoint, getConnections, getUI, isSelected, setSelected`

Field Detail

### ACTOR

    static final int ACTOR

See Also:
  Constant Field Values

### MAPPER

    static final int MAPPER

See Also:
  Constant Field Values

### DATASET

    static final int DATASET

See Also:
  Constant Field Values

### FILTER

    static final int FILTER

See Also:
  Constant Field Values

### LOOKUP_TABLE

    static final int LOOKUP_TABLE

See Also:
  Constant Field Values

### SCALAR_BAR

    static final int SCALAR_BAR

See Also:
  Constant Field Values

### TXT_ACTOR

    static final int TXT_ACTOR

See Also:
  Constant Field Values

### ACTOR_VISIBLE

    static final java.lang.String ACTOR_VISIBLE

See Also:
  Constant Field Values

### CELL

    static final java.lang.String CELL

See Also:
  Constant Field Values

### POPUP_MENU

    static final java.lang.String POPUP_MENU

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.Integer getId()

### getLocalTypeId

    java.lang.Integer getLocalTypeId()

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String newName)

### getType

    int getType()

### getVtkObject

    java.lang.Object getVtkObject()

### getMetaData

    java.util.Hashtable getMetaData()

### isValide

    boolean isValide()

### setValide

    void setValide(boolean valide)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com